/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ListViewComponent } from '../listview.component';
import * as i0 from "@angular/core";
/**
 * A directive that encapsulates the in-memory handling of paging
 * ([see example]({% slug paging_listview %}#toc-binding-directive)).
 */
export declare class DataBindingDirective {
    private listView;
    /**
     * The array of data which will be used to populate the ListView.
     */
    set data(data: any[]);
    get data(): any[];
    private _data;
    private subscriptions;
    constructor(listView: ListViewComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private handlePageChange;
    private handlePageSizeChange;
    private updateListViewData;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataBindingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DataBindingDirective, "[kendoListViewBinding]", never, { "data": { "alias": "kendoListViewBinding"; "required": false; }; }, {}, never, never, true, never>;
}
