/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ListViewComponent } from "../../listview.component";
/**
 * Arguments for the `edit` event.
 */
export interface EditEvent {
    /**
     * The data item.
     */
    dataItem: any;
    /**
     * Indicates if the data item is new or existing.
     */
    isNew: boolean;
    /**
     * The item index for the operation.
     */
    itemIndex: number;
    /**
     * The `ListViewComponent` instance.
     */
    sender: ListViewComponent;
}
