/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DataBindingDirective } from "./data-binding/data-binding.directive";
import { AddCommandDirective } from "./editing/commands/add-command.directive";
import { CancelCommandDirective } from "./editing/commands/cancel-command.directive";
import { EditCommandDirective } from "./editing/commands/edit-command.directive";
import { RemoveCommandDirective } from "./editing/commands/remove-command.directive";
import { SaveCommandDirective } from "./editing/commands/save-command.directive";
import { EditTemplateDirective } from "./editing/edit-template.directive";
import { ListViewComponent } from "./listview.component";
import { FooterTemplateDirective } from "./templates/footer-template.directive";
import { HeaderTemplateDirective } from "./templates/header-template.directive";
import { ItemTemplateDirective } from "./templates/item-template.directive";
import { LoaderTemplateDirective } from "./templates/loader-template.directive";
/**
 * Utility array that contains all `@progress/kendo-angular-listview` related components and directives
 */
export const KENDO_LISTVIEW = [
    ListViewComponent,
    ItemTemplateDirective,
    HeaderTemplateDirective,
    FooterTemplateDirective,
    LoaderTemplateDirective,
    DataBindingDirective,
    EditTemplateDirective,
    EditCommandDirective,
    CancelCommandDirective,
    SaveCommandDirective,
    RemoveCommandDirective,
    AddCommandDirective
];
