/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_LISTVIEW } from './directives';
import { IconsService } from '@progress/kendo-angular-icons';
import { PopupService } from '@progress/kendo-angular-popup';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "./listview.component";
import * as i2 from "./templates/item-template.directive";
import * as i3 from "./templates/header-template.directive";
import * as i4 from "./templates/footer-template.directive";
import * as i5 from "./templates/loader-template.directive";
import * as i6 from "./data-binding/data-binding.directive";
import * as i7 from "./editing/edit-template.directive";
import * as i8 from "./editing/commands/edit-command.directive";
import * as i9 from "./editing/commands/cancel-command.directive";
import * as i10 from "./editing/commands/save-command.directive";
import * as i11 from "./editing/commands/remove-command.directive";
import * as i12 from "./editing/commands/add-command.directive";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the ListView component.
 * @example
 *
 * ```ts
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { ListViewModule } from '@progress/kendo-angular-listview';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BrowserAnimationsModule, ListViewModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *```
 */
export class ListViewModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListViewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ListViewModule, imports: [i1.ListViewComponent, i2.ItemTemplateDirective, i3.HeaderTemplateDirective, i4.FooterTemplateDirective, i5.LoaderTemplateDirective, i6.DataBindingDirective, i7.EditTemplateDirective, i8.EditCommandDirective, i9.CancelCommandDirective, i10.SaveCommandDirective, i11.RemoveCommandDirective, i12.AddCommandDirective], exports: [i1.ListViewComponent, i2.ItemTemplateDirective, i3.HeaderTemplateDirective, i4.FooterTemplateDirective, i5.LoaderTemplateDirective, i6.DataBindingDirective, i7.EditTemplateDirective, i8.EditCommandDirective, i9.CancelCommandDirective, i10.SaveCommandDirective, i11.RemoveCommandDirective, i12.AddCommandDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListViewModule, providers: [
            IconsService,
            PopupService,
            ResizeBatchService
        ], imports: [i1.ListViewComponent, i8.EditCommandDirective, i9.CancelCommandDirective, i10.SaveCommandDirective, i11.RemoveCommandDirective, i12.AddCommandDirective] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListViewModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_LISTVIEW],
                    exports: [...KENDO_LISTVIEW],
                    providers: [
                        IconsService,
                        PopupService,
                        ResizeBatchService
                    ]
                }]
        }] });
