/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./listview.component";
import * as i2 from "./templates/item-template.directive";
import * as i3 from "./templates/header-template.directive";
import * as i4 from "./templates/footer-template.directive";
import * as i5 from "./templates/loader-template.directive";
import * as i6 from "./data-binding/data-binding.directive";
import * as i7 from "./editing/edit-template.directive";
import * as i8 from "./editing/commands/edit-command.directive";
import * as i9 from "./editing/commands/cancel-command.directive";
import * as i10 from "./editing/commands/save-command.directive";
import * as i11 from "./editing/commands/remove-command.directive";
import * as i12 from "./editing/commands/add-command.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the ListView component.
 * @example
 *
 * ```ts
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { ListViewModule } from '@progress/kendo-angular-listview';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BrowserAnimationsModule, ListViewModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *```
 */
export declare class ListViewModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ListViewModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ListViewModule, never, [typeof i1.ListViewComponent, typeof i2.ItemTemplateDirective, typeof i3.HeaderTemplateDirective, typeof i4.FooterTemplateDirective, typeof i5.LoaderTemplateDirective, typeof i6.DataBindingDirective, typeof i7.EditTemplateDirective, typeof i8.EditCommandDirective, typeof i9.CancelCommandDirective, typeof i10.SaveCommandDirective, typeof i11.RemoveCommandDirective, typeof i12.AddCommandDirective], [typeof i1.ListViewComponent, typeof i2.ItemTemplateDirective, typeof i3.HeaderTemplateDirective, typeof i4.FooterTemplateDirective, typeof i5.LoaderTemplateDirective, typeof i6.DataBindingDirective, typeof i7.EditTemplateDirective, typeof i8.EditCommandDirective, typeof i9.CancelCommandDirective, typeof i10.SaveCommandDirective, typeof i11.RemoveCommandDirective, typeof i12.AddCommandDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ListViewModule>;
}
