/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PagerType as PagerTypeSource } from '@progress/kendo-angular-pager';
/**
 * The type accepted by the pager [`type`]({% slug api_listview_pagersettings %}#toc-type) property,
 * that specifies whether the pager will render a set of buttons for page control or a single HTML `input` element
 * ([see example]({% slug paging_listview %}#toc-pager-options)).
 *
 * The available values are:
 * * `numeric`&mdash;Buttons with numbers.
 * * `input`&mdash;Input for typing the page number.
 */
export declare type PagerType = Partial<PagerTypeSource>;
