/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2, OnChanges } from '@angular/core';
import { NavigationService } from './navigation.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ListViewNavigableItemDirective implements OnChanges {
    private hostElement;
    private renderer;
    private navigationService;
    /**
     * The current item index. Used to track which navigation changes apply to this item.
     */
    index: number;
    private navigationSubscription;
    constructor(hostElement: ElementRef<HTMLElement>, renderer: Renderer2, navigationService: NavigationService);
    ngOnChanges(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private updateNavigationState;
    private updateFocusedState;
    private updateTabIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListViewNavigableItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ListViewNavigableItemDirective, "[kendoListViewNavigableItem]", never, { "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
