/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare const isPresent: (item: any) => boolean;
/**
 * @hidden
 */
export declare const isObject: (item: any) => boolean;
/**
 * @hidden
 *
 * Polyfill for `Element.matches`.
 * https://developer.mozilla.org/en-US/docs/Web/API/Element/matches
 */
export declare const match: (element: any, selector: string) => boolean;
/**
 * @hidden
 *
 * Checks if a target element has the `.k-listview-item` CSS class.
 */
export declare const isListViewItem: (element: Element) => boolean;
/**
 * @hidden
 *
 * Extracts and parses to a number the `data-kendo-listview-item-index` attribute value from the targeted element.
 */
export declare const getListItemIndex: (item: Element) => number;
/**
 * @hidden
 *
 * Gets the new focus target from a blur event.
 * Queries both event.relatedTarget and document.activeElement for compatibility with IE.
 */
export declare const relatedTarget: (event: FocusEvent) => Element;
/**
 * @hidden
 *
 * If the given contender number is not defined or lower than the specified min - returns min, if its above the specified max - returns max.
 * If the number is in the given bounds, it is returned.
 */
export declare const fitIntoRange: (contender: number, min: number, max: number) => number;
/**
 * @hidden
 */
export declare const closestWithMatch: (element: any, selector: string) => Element;
/**
 * @hidden
 *
 * Extracts and parses to a number the `data-kendo-listview-item-index` attribute value from the targeted element.
 */
export declare const getClosestListItemIndex: (element: Element) => number;
